Bug 467927 - [RHEL5] patch enabling deep C states makes a RHTS machine hang on boot
[RHEL5] patch enabling deep C states makes a RHTS machine hang on boot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: John Feeney
Mike Gahagan
: Regression
: 465251 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 14:18 EDT by Aristeu Rozanski
Modified: 2013-01-10 02:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:17:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Only use C3 states that have no bm_control flag if they're accessed via _CST (870 bytes, patch)
2008-10-30 09:23 EDT, Matthew Garrett
no flags Details | Diff

  None (edit)
Description Aristeu Rozanski 2008-10-21 14:18:44 EDT
Description of problem:
since kernel -99, athlon3.rhts.bos.redhat.com is hanging at boot time. after
some bisecting, I found that the patch linux-2.6-acpi-enable-deep-c-states-for-idle-efficiency.patch is the culprit. removing it on -99 or on -120 fixes
the problem and the machine boots without problems.

The problem is 100% reproducible.
Comment 2 Matthew Garrett 2008-10-24 17:48:31 EDT
At what point in the boot does the system hang?
Comment 3 Aristeu Rozanski 2008-10-27 09:48:31 EDT
Right before the serial initialization. I'll find a dmesg output and attach it
here.
Comment 4 Aristeu Rozanski 2008-10-27 11:13:29 EDT
Here's the output:
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=4681599

the machine has no remote console (except serial console) and has LAPIC disabled
by BIOS (thus no NMI watchdog support), so I couldn't get more info.
Comment 5 Matthew Garrett 2008-10-28 17:19:43 EDT
Hmm. Does it boot if you force-enable the apic with the lapic boot option?
Comment 6 Aristeu Rozanski 2008-10-28 17:26:57 EDT
No. It crashes with nmi_watchdog enabled/disabled.
Comment 7 Matthew Garrett 2008-10-28 17:48:30 EDT
Ok. Does booting with the

processor.max_cstate=0

parameter work? If so, what is the maximum number you can increase that to and still get a working boot?
Comment 8 Aristeu Rozanski 2008-10-29 11:36:19 EDT
this machine (on RHTS) is not reserved to me anymore. I'll reserve and test it,
unless you want to do it.
Comment 9 Matthew Garrett 2008-10-29 11:54:12 EDT
Yeah, rhts is giving me weird errors whenever I attempt to reserve it (Transaction aborted: Empty recipe_set at /usr/share/rhts/lib/Workflows.pm line 321), so might be worth you giving it a shot.
Comment 14 Matthew Garrett 2008-10-30 01:02:27 EDT
Looks like we need to backport ed3110efb538d7acbf635095c1382118f7414f75 from upstream - doing a test build now.
Comment 15 Matthew Garrett 2008-10-30 09:23:41 EDT
Created attachment 321932 [details]
Only use C3 states that have no bm_control flag if they're accessed via _CST

Confirmed to fix the system
Comment 19 Don Zickus 2008-11-04 11:51:08 EST
in kernel-2.6.18-122.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 21 Matthew Garrett 2008-11-18 08:41:35 EST
*** Bug 465251 has been marked as a duplicate of this bug. ***
Comment 24 errata-xmlrpc 2009-01-20 15:17:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.